package com.sample.sample;

import android.app.Application;

import com.sample.sample.components.DaggerSampleAppComponent;
import com.sample.sample.components.SampleAppComponent;
import com.sample.sample.modules.AppModule;

public class SampleApplication extends Application
{
	private SampleAppComponent appComponent;

	public SampleAppComponent getAppComponent()
	{
		return appComponent;
	}

	@Override
	public void onCreate()
	{
		super.onCreate();

		appComponent = DaggerSampleAppComponent.builder()
				.appModule(new AppModule(getApplicationContext()))
				.build();
	}
}
